From 5614a2a578a9ab6e71f7f4af175148e09f4bd7b1 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Piotr=20W=C3=B3jcik?= <chocimier@tlen.pl>
Date: Sat, 29 Jun 2019 17:52:41 +0200
Subject: [PATCH] bzip2: update to 1.0.7.

---
 srcpkgs/bzip2/patches/CVE-2016-3189.patch | 12 ------------
 srcpkgs/bzip2/patches/soname.patch        | 12 ++++++------
 srcpkgs/bzip2/template                    | 15 +++++++--------
 3 files changed, 13 insertions(+), 26 deletions(-)
 delete mode 100644 srcpkgs/bzip2/patches/CVE-2016-3189.patch

diff --git a/srcpkgs/bzip2/patches/CVE-2016-3189.patch b/srcpkgs/bzip2/patches/CVE-2016-3189.patch
deleted file mode 100644
index e7cc2c52513..00000000000
--- a/srcpkgs/bzip2/patches/CVE-2016-3189.patch
+++ /dev/null
@@ -1,12 +0,0 @@
-Patch from: https://bugzilla.redhat.com/show_bug.cgi?id=1319648
-
---- ./bzip2recover.c.old	2016-03-22 08:49:38.855620000 +0100
-+++ ./bzip2recover.c	2016-03-30 10:22:27.341430099 +0200
-@@ -458,6 +458,7 @@ Int32 main ( Int32 argc, Char** argv )
-             bsPutUChar ( bsWr, 0x50 ); bsPutUChar ( bsWr, 0x90 );
-             bsPutUInt32 ( bsWr, blockCRC );
-             bsClose ( bsWr );
-+            outFile = NULL;
-          }
-          if (wrBlock >= rbCtr) break;
-          wrBlock++;
diff --git a/srcpkgs/bzip2/patches/soname.patch b/srcpkgs/bzip2/patches/soname.patch
index 56d039058c3..86980a00c27 100644
--- a/srcpkgs/bzip2/patches/soname.patch
+++ b/srcpkgs/bzip2/patches/soname.patch
@@ -16,15 +16,15 @@
        bzlib.o
  
  all: $(OBJS)
--	$(CC) -shared -Wl,-soname -Wl,libbz2.so.1.0 -o libbz2.so.1.0.6 $(OBJS)
-+	$(CC) -shared -Wl,-soname -Wl,libbz2.so.1 -o libbz2.so.1.0.6 $(OBJS)
- 	$(CC) $(CFLAGS) -o bzip2-shared bzip2.c libbz2.so.1.0.6
+-	$(CC) -shared -Wl,-soname -Wl,libbz2.so.1.0 -o libbz2.so.1.0.7 $(OBJS)
++	$(CC) -shared -Wl,-soname -Wl,libbz2.so.1 -o libbz2.so.1.0.7 $(OBJS)
+ 	$(CC) $(CFLAGS) -o bzip2-shared bzip2.c libbz2.so.1.0.7
  	rm -f libbz2.so.1.0
- 	ln -s libbz2.so.1.0.6 libbz2.so.1.0
-+	ln -s libbz2.so.1.0.6 libbz2.so.1
+ 	ln -s libbz2.so.1.0.7 libbz2.so.1.0
++	ln -s libbz2.so.1.0.7 libbz2.so.1
  
  clean: 
- 	rm -f $(OBJS) bzip2.o libbz2.so.1.0.6 libbz2.so.1.0 bzip2-shared
+ 	rm -f $(OBJS) bzip2.o libbz2.so.1.0.7 libbz2.so.1.0 bzip2-shared
 --- Makefile.orig	2013-02-05 14:41:08.980543085 +0100
 +++ Makefile	2013-02-05 14:41:34.306940942 +0100
 @@ -15,13 +15,13 @@
diff --git a/srcpkgs/bzip2/template b/srcpkgs/bzip2/template
index 8e723a8d919..37ae79a0cbd 100644
--- a/srcpkgs/bzip2/template
+++ b/srcpkgs/bzip2/template
@@ -1,16 +1,15 @@
 # Template file for 'bzip2'
 pkgname=bzip2
-version=1.0.6
-revision=14
+version=1.0.7
+revision=1
 bootstrap=yes
-short_desc="The bzip2 compression library"
+short_desc="Freely available, patent free, high-quality data compressor"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="bzip2-1.0.6"
-homepage="http://sources.redhat.com/bzip2"
-# Currently not available
-# distfiles="http://sources.redhat.com/pub/bzip2/v${version/./}/${pkgname}-${version}.tar.gz"
-distfiles="https://fossies.org/linux/misc/bzip2-${version}.tar.gz"
-checksum=a2848f34fcd5d6cf47def00461fcb528a0484d8edef8208d6d2e2909dc61d9cd
+homepage="https://sourceware.org/bzip2/"
+changelog="https://sourceware.org/bzip2/CHANGES"
+distfiles="https://sourceware.org/pub/bzip2/bzip2-${version}.tar.gz"
+checksum=e768a87c5b1a79511499beb41500bcc4caf203726fff46a6f5f9ad27fe08ab2b
 
 do_build() {
 	make ${makejobs} CFLAGS="$CFLAGS -fPIC $LDFLAGS" LDFLAGS="$LDFLAGS" -f Makefile-libbz2_so
